com.smartgwt.client.types

## Enum LabelRotationMode

- java.lang.Object
- - java.lang.Enum<LabelRotationMode>
  - - com.smartgwt.client.types.LabelRotationMode

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<LabelRotationMode>

      public enum LabelRotationMode
      extends java.lang.Enum<LabelRotationMode>
      implements ValueEnum

  Strategy for determining whether to rotate the X-axis labels by 90 degrees.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALWAYS` always rotate labels
    `AUTO` rotate labels if needed in order to make them legible and non-overlapping
    `NEVER` do not rotate labels

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static LabelRotationMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LabelRotationMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEVER

          public static final LabelRotationMode NEVER

      do not rotate labels

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "never".

    - #### AUTO

          public static final LabelRotationMode AUTO

      rotate labels if needed in order to make them legible and non-overlapping

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "auto".

    - #### ALWAYS

          public static final LabelRotationMode ALWAYS

      always rotate labels

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "always".

  - ### Method Detail

    - #### values

          public static LabelRotationMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LabelRotationMode c : LabelRotationMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LabelRotationMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`